<template>
  <div class="main-card-container" :class="{'inner-content': settings.innerContent}" :style="{backgroundImage: `url(${settings.mainImage})`, ...settings.extraCSS}">
    <!-- <img class="main-image" :src="settings.mainImage"> -->
    <div class="title">
      <span>{{settings.title}}</span>
    </div>
    <div class="text">
      <pre>{{settings.text}}</pre>
    </div>
    <img class="inner-image" :src="settings.innerImage">
    <divider></divider>
    <org-button :settings="{style: ['white', 'small-buttons'], mode: 'halved', buttons: settings.buttons}"></org-button>
  </div>
</template>

<script>
import divider from '../dividers/divider.vue'
export default {
  components: { divider },
  props: {
    settings: {
      type: Object,
      default: {
        title: undefined,
        text: undefined,
        innerImage: undefined,
        mainImage: undefined,
        innerContent: false
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.main-card-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  min-height: 37.75rem;
  position: relative;
  object-fit: none;
  padding: 2.5rem;
  border-radius: 1.5rem;
  background: transparent;

  &.inner-content {
    min-height: initial;
  }

  .main-image {
    position: absolute;
    top: 0;
  }

  .title {
    font-size: 3.375rem; // default font size
    color: $thor-white-color;
    font-weight: 900;
    font-style: normal;
  }

  .text {
    width: 29.5rem;
    pre {
      color: $thor-white-color;
      font-size: 1.5rem;
      font-weight: 500;
      font-family: 'Roboto';
      white-space: pre-line;
    }
  }

  .inner-image {
    align-self: flex-start;
  }
}
</style>